## fake 1.0.0

=== DESCRIPTION ===
Package: fake
Title: Flexible Data Simulation Using the Multivariate Normal
        Distribution
Version: 1.0.0
Author: Barbara Bodinier [aut, cre]
Maintainer: Barbara Bodinier <b.bodinier@imperial.ac.uk>
Description: Simulation of data from Gaussian Graphical Models (B Bodinier, S Filippi, TH Nost, J Chiquet, M Chadeau-Hyam (2021) <arXiv:2106.02521>). By controlling the conditional independence structure between the variables, these multivariate simulation tools can be used to evaluate the performance of regression, dimensionality reduction or graphical models.
License: GPL (>= 3)
Language: en-GB
Encoding: UTF-8
RoxygenNote: 7.2.0
Imports: huge, igraph, MASS, Rdpack, withr (>= 2.4.0)
Suggests: testthat (>= 3.0.0),
Config/testthat/edition: 3
RdMacros: Rdpack
NeedsCompilation: no
Packaged: 2022-07-22 17:29:42 UTC; barbara
Repository: CRAN
Date/Publication: 2022-08-09 12:40:02 UTC
