=== debian/changelog ===
fake (1.1.7) unstable; urgency=low

  * A release

 -- Simon Horman <horms@vergenet.net>  Mon,  7 Jan 2002 04:39:42 +1100

Local variables:
mode: debian-changelog
End:
eoch
