## fake 1.1.10

=== Makefile ===
######################################################################
# Makefile for Rediundant Linux Servers Talk     V1.0.0     April 1998
# Simon Horman                                       horms@zip.com.au.
# Zip Internet Professionals                   http://www.zip.com.au./
######################################################################

SHELL=  /bin/bash
LATEX=  latex
DVIPS=  dvips
RM=  rm -f
BZIP2 = bzip2
TAR = tar
MAKE = make
TOUCH = touch 

DIR = $(shell /usr/bin/basename `pwd`)
SRC = abstract.del ack.del box.del discussion.del how.del more.del nfs.del redundant_linux.del sandwich.del terms.del testing.del what.del LAN.del ARPrace.del HTTPAccelerator.del POP3Switch.del

all: redundant_linux.dvi

redundant_linux.dvi: $(SRC)
	$(LATEX) redundant_linux.tex
	cat message

ps: redundant_linux.ps

redundant_linux.ps: redundant_linux.dvi
	$(DVIPS) redundant_linux.dvi -o redundant_linux.ps

compress: redundant_linux.ps.bz2 redundant_linux.dvi.bz2
 
tar: ../$(DIR).tar.bz2

../$(DIR).tar.bz2: $(SRC)
	$(MAKE) clobber
	$(TAR) cf ../$(DIR).tar -C .. $(DIR)
	$(RM) -f ../$(DIR).tar.bz2
	$(BZIP2)  ../$(DIR).tar 

clean:
	$(RM) *.ps *.dvi *.bz2 core *.bak core *.del

clobber: clean
	$(RM) *.aux
	

%.del: %.tex
	$(TOUCH) $@

%.bz2: %
	$(BZIP2) -k $<
