=== debian/changelog ===
fake (1.1.11-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Maintain in Debian team on Salsa
  * Add watch file
    Closes: #1119059
  * d/copyright: DEP5
  * d/rules: Short dh
  * Standards-Version: 4.7.3
  * debhelper-compat 13 (routine-update)
  * Add DEP3 fields

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jan 2026 23:08:33 +0100

fake (1.1.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007688)
  * Add Homepage. (Closes: #594030)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #915554)

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 16:02:14 +0000

fake (1.1.11-3) unstable; urgency=medium

  * Restrict architecture to linux-any as send-arp uses a linux-specific
    include

 -- Simon Horman <horms@debian.org>  Wed, 11 Jan 2017 17:21:39 +0100

fake (1.1.11-2) unstable; urgency=medium

  * Make build reproducible. (Closes: #776949)
  * Update standards version from 3.6.1 to 3.9.8
  * Update debhelper compat level from 5 to 9
  * Use dh_prep instead of dh_clean -k
  * Use flags provided by dpkg-buildflags

 -- Simon Horman <horms@debian.org>  Wed, 11 Jan 2017 11:40:43 +0100

fake (1.1.11-1) unstable; urgency=low

  * New upstream
    - Include Raphael Geissert's non-maintainer upload changes.
    - Don't die if FOREIGN_INTERFACE isn't set as it isn't mandatory.

 -- Simon Horman <horms@debian.org>  Wed, 08 Jul 2009 18:27:15 +1000

fake (1.1.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism. (Closes: #530079)
  * debian/rules:
    + Don't ignore errors by make;
    + Use $(CURDIR) instead of pwd.
  * debian/compat: bump to level five.
  * debian/control:
    + Bump versioned dependency on debhelper.
    + Add dependency on misc:Depends

 -- Raphael Geissert <geissert@debian.org>  Thu, 02 Jul 2009 21:37:08 -0500

fake (1.1.10-1) unstable; urgency=low

  * New Upstream
  * Removed unused LOG_DIR directive. Thomas Hood.  (closes: Bug#253292)
  * Fixed typos in fake(8) man page. Thomas Hood. (closes: Bug#253294)

 -- Simon Horman <horms@debian.org>  Fri, 11 Jun 2004 18:14:03 +0900

fake (1.1.9-1) unstable; urgency=low

  * New Upstream
    (closes: Bug#253129)

 -- Simon Horman <horms@debian.org>  Tue,  8 Jun 2004 16:46:28 +0900

fake (1.1.8-1) unstable; urgency=low

  * Updated for 1.1.8
    (closes: Bug#165318)

 -- Simon Horman <horms@vergenet.net>  Mon, 21 Oct 2002 12:35:19 +0900
