=== debian/control ===
Source: fake
Build-Depends: debhelper-compat (= 13), patch
Section: admin
Maintainer: Simon Horman <horms@debian.org>
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/fake
Vcs-Git: https://salsa.debian.org/debian/fake.git
Homepage: https://projects.horms.net/projects/fake/

Package: fake
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IP address takeover tool
 Fake is a utility that enables the IP address be taken over by bringing up
 a second interface on the host machine and using gratuitous arp. Designed
 to switch in backup servers on a LAN.
