=== debian/watch ===
Version: 5

Source: https://projects.horms.net/projects/@PACKAGE@/download/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
