## fake 1.5.0

=== DESCRIPTION ===
Package: fake
Title: Flexible Data Simulation Using the Multivariate Normal
        Distribution
Version: 1.5.0
Date: 2026-01-18
Authors@R: person(given = "Barbara",
  family = "Bodinier",
  role = c("aut", "cre"),
  email = "barbara.bodinier@gmail.com")
Maintainer: Barbara Bodinier <barbara.bodinier@gmail.com>
Description: This R package can be used to generate artificial data conditionally on pre-specified (simulated or user-defined) relationships between the variables and/or observations. Each observation is drawn from a multivariate Normal distribution where the mean vector and covariance matrix reflect the desired relationships. Outputs can be used to evaluate the performances of variable selection, graphical modelling, or clustering approaches by comparing the true and estimated structures (B Bodinier et al (2021) <doi:10.1093/jrsssc/qlad058>).
License: GPL (>= 3)
Language: en-GB
Encoding: UTF-8
RoxygenNote: 7.3.1
Imports: igraph, MASS, Rdpack, withr (>= 2.4.0)
Suggests: testthat (>= 3.0.0),
Config/testthat/edition: 3
RdMacros: Rdpack
NeedsCompilation: no
Packaged: 2026-01-18 14:41:04 UTC; barbara
Author: Barbara Bodinier [aut, cre]
Repository: CRAN
Date/Publication: 2026-01-18 15:20:20 UTC
