## fake dataset-0.0.2

=== requirements.txt ===
pandas>=1.4.2
numpy>=1.22.3
