## fake tree-0.0.1

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = fake_memcached
+SPHINXPROJ    = fake_tree
 SOURCEDIR     = .
 BUILDDIR      = _build
